| D++ (DPP) C++ Discord API Bot Library

Search
Loading...
Searching...
No Matches
dpp::dave_binary_header_t Struct Reference

DAVE E2EE Binary frame header. More...

`#include <discordvoiceclient.h>`

Collaboration diagram for dpp::dave_binary_header_t:
[legend]

## Public Member Functions

| dave_binary_header_t (const std::string &buffer)
| Fill binary header from inbound buffer.
std::vector< uint8_t > | get_data () const
uint16_t | get_transition_id () const

## Public Attributes

uint8_t | opcode
| Opcode type.
std::vector< uint8_t > | package
| Data package, an opaque structure passed to the Discord libdave functions.
uint16_t | seq
| Sequence number.

## Detailed Description

DAVE E2EE Binary frame header.

## Constructor & Destructor Documentation

## ◆ dave_binary_header_t()

dpp::dave_binary_header_t::dave_binary_header_t | ( | const std::string & | buffer | ) |

Fill binary header from inbound buffer.

Parameters

  buffer | inbound websocket buffer

## Member Function Documentation

## ◆ get_data()

std::vector< uint8_t > dpp::dave_binary_header_t::get_data | ( |  | ) | const

nodiscard

Get the data package from the packed binary frame, as a vector of uint8_t for use in the libdave functions

Returns
  data blob

## ◆ get_transition_id()

uint16_t dpp::dave_binary_header_t::get_transition_id | ( |  | ) | const

nodiscard

Get transition ID for process_commit and process_welcome

Returns
  Transition ID

## Member Data Documentation

## ◆ opcode

uint8_t dpp::dave_binary_header_t::opcode

Opcode type.

## ◆ package

std::vector<uint8_t> dpp::dave_binary_header_t::package

Data package, an opaque structure passed to the Discord libdave functions.

## ◆ seq

uint16_t dpp::dave_binary_header_t::seq

Sequence number.

D++ Library version 9.0.13 D++ Library version 9.0.12 D++ Library version 9.0.11 D++ Library version 9.0.10 D++ Library version 9.0.9 D++ Library version 9.0.8 D++ Library version 9.0.7 D++ Library version 9.0.6 D++ Library version 9.0.5 D++ Library version 9.0.4 D++ Library version 9.0.3 D++ Library version 9.0.2 D++ Library version 9.0.1 D++ Library version 9.0.0 D++ Library version 1.0.2 D++ Library version 1.0.1 D++ Library version 1.0.0